.PHONY: build run push release
.SILENT: build run push release

IMAGE_NAME := $(shell cat ./image_name)

DOCKERHUB_ORG_NAME := orgbitforge
DOCKERHUB_IMAGE_NAME := ${DOCKERHUB_ORG_NAME}/${IMAGE_NAME}
DOCKERHUB_AUTH_KEY := $(shell cat ../credentials/auth.key)
DOCKERHUB_USERNAME := $(shell cat ../credentials/username)

build:
	echo "Remove image: ${IMAGE_NAME}"
	docker image rm -f ${IMAGE_NAME}
	echo "Build image: ${IMAGE_NAME}"
	docker build -t ${IMAGE_NAME} .

run:
	echo "Run image: ${IMAGE_NAME}"
	docker run -it --rm ${IMAGE_NAME} sh

push:
	echo "Push image: ${DOCKERHUB_IMAGE_NAME}"
	docker tag ${IMAGE_NAME} ${DOCKERHUB_IMAGE_NAME}
	docker login --username=${DOCKERHUB_USERNAME} --password=${DOCKERHUB_AUTH_KEY}
	docker push ${DOCKERHUB_IMAGE_NAME}

release: build push
	echo "Release image: ${DOCKERHUB_IMAGE_NAME}"
	docker image rm -f ${IMAGE_NAME}
	docker image rm -f ${DOCKERHUB_IMAGE_NAME}
